# Interface Decoder.Binary<T>

All Superinterfaces:
  `Decoder`

Enclosing interface:
  `Decoder`

public static interface Decoder.Binary<T> extends Decoder

## Nested Class Summary

### Nested classes/interfaces inherited from interface jakarta.websocket.Decoder

`Decoder.Binary<T>, Decoder.BinaryStream<T>, Decoder.Text<T>, Decoder.TextStream<T>`

## Method Summary

Modifier and Type
Method
Description
`T`
`decode(ByteBuffer bytes)`
`boolean`
`willDecode(ByteBuffer bytes)`

### Methods inherited from interface jakarta.websocket.Decoder

`destroy, init`

## Method Details

### decode

T decode(ByteBuffer bytes) throws DecodeException

Throws:
  `DecodeException`

### willDecode

boolean willDecode(ByteBuffer bytes)